`lqr_progress_set_update_step`
Prev | Progress reports | Next

## Name

lqr_progress_set_update_step — setup update step for `LqrProgress` objects

## Synopsis

    #include <lqr.h>

`LqrRetVal lqr_progress_set_update_step(` | LqrProgress* p,
| gfloat update_step`)`;

## Description

The function `lqr_progress_set_update_step` sets the update step of the `LqrProgress` pointed to by `p` to the value `update_step`.

The update step must be between `0` and `1`.

The default value is `0.02` (i.e. `2%`).

## Return value

The return value follows the Liquid Rescale library signalling system.

## See also

LqrRetVal(3), `lqr_progress_new`(3), `lqr_progress_set_update`(3), `lqr_carver_set_progress`(3)

Prev | Up | Next
`lqr_progress_set_end` | Home | `lqr_progress_set_init_width_message`